commit:     255a7731dbaf1aa9967a0719993def3395631630
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Wed Aug 16 09:53:46 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 16 14:24:00 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=255a7731

app-emulation/vagrant: bump to 1.9.7

Package-Manager: Portage-2.3.7, Repoman-2.3.2

 app-emulation/vagrant/Manifest             |  1 +
 app-emulation/vagrant/files/vagrant.in     | 38 ++++++++++++++
 app-emulation/vagrant/vagrant-1.9.7.ebuild | 84 ++++++++++++++++++++++++++++++
 3 files changed, 123 insertions(+)

diff --git a/app-emulation/vagrant/Manifest b/app-emulation/vagrant/Manifest
index c93dba623e6..521a17e4ad7 100644
--- a/app-emulation/vagrant/Manifest
+++ b/app-emulation/vagrant/Manifest
@@ -1,2 +1,3 @@
 DIST vagrant-1.9.5.tar.gz 1100561 SHA256 
69eb8ede3148b6f94389be5fd2d6cb2b6c79ba78cbcacdc354d2c73f12eccc2a SHA512 
8d2ace3cbac5b08d3d046a254ef617fead3677e9243da47c4b5131cef783244f403e4771e05075d1f5e9308edcfd52e9a7d792f89f4f39aefc9a949c79c64697
 WHIRLPOOL 
b5e3a8f433c5637c85834900adfc43aaec2c740424e7250da02cf3a5de6f0d553113aa3f386eb74ef5402e0205238f6024b33a55db495d8f21eef19db84b2208
 DIST vagrant-1.9.6.tar.gz 1115853 SHA256 
08cde24b5def90e7674d333149ca9d9aec585bdb54ca41598e16ea91a56675bb SHA512 
d8ed38a1fcffe31d974e94cf48b8dc4902a8005747dfe7311faa21ab53d838c88974c4c200dcbc0fb27fd50f2e3278e1fd21856e4afa37eaf4ef8602e0f5ca5d
 WHIRLPOOL 
cb8f1334f9db55be65fb5fd6dc670535681ed0b5457f15f86599fc2ca37fa791304665b913e5085d78012af7b7bd56c6281b78b70e4f054abb5d460cc14a1174
+DIST vagrant-1.9.7.tar.gz 1119024 SHA256 
194de72442a2d08f6e04fbed8698a99d190a0e7203d35b49e80d4ddfcb71fb1b SHA512 
062921070ace7ce93145981b5b768dc9dc447559fc12c52c8da323d1e3523fbff2a8e7afca0e2f751e232aae822c969b5d166b3b0f01a0744ca20c4e4e33567f
 WHIRLPOOL 
ef0331781cf6a71dca9eb485943c459a5360f55b1db45b4f23b413b848eeac1700afe3ea51b6dd2e0da1a7c1ba6ad456bd9fcb7a7b3532145e95a38fc997dd99

diff --git a/app-emulation/vagrant/files/vagrant.in 
b/app-emulation/vagrant/files/vagrant.in
new file mode 100644
index 00000000000..0da39caea41
--- /dev/null
+++ b/app-emulation/vagrant/files/vagrant.in
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+#
+# This is a wrapper to properly execute Vagrant within the embedded
+# Vagrant installation directory. This sets up proper environmental variables
+# so that everything loads and compiles to proper directories.
+
+VAGRANT_DIR="$( ruby -e 'print Gem::default_path[-1] + 
"/gems/vagrant-@VAGRANT_VERSION@"' )"
+
+# Export GEM_HOME based on VAGRANT_HOME
+#
+# This needs to be set because Bundler includes gem paths
+# from RubyGems' Gem.paths.
+if [ -z ${VAGRANT_HOME} ]; then
+  VAGRANT_HOME="~/.vagrant.d"
+fi
+export GEM_HOME="${VAGRANT_HOME}/gems"
+
+# SSL certs
+export SSL_CERT_FILE="/etc/ssl/certs/ca-certificates.crt"
+
+# Export an environmental variable to say we're in a Vagrant
+# installer created environment.
+export VAGRANT_INSTALLER_ENV=1
+
+# This is currently used only in Vagrant::Plugin::Manager.system_plugins_file
+# to locate plugins configuration file.
+export VAGRANT_INSTALLER_EMBEDDED_DIR="/var/lib/vagrant"
+export VAGRANT_INSTALLER_VERSION="2"
+
+# Export the OS as an environmental variable that Vagrant can access
+# so that it can behave better.
+export VAGRANT_DETECTED_OS="$(uname -s 2>/dev/null)"
+
+# Export the VAGRANT_EXECUTABLE so that pre-rubygems can optimize a bit
+export VAGRANT_EXECUTABLE="${VAGRANT_DIR}/bin/vagrant"
+
+# Call the actual Vagrant bin with our arguments
+exec ruby "${VAGRANT_EXECUTABLE}" "$@"

diff --git a/app-emulation/vagrant/vagrant-1.9.7.ebuild 
b/app-emulation/vagrant/vagrant-1.9.7.ebuild
new file mode 100644
index 00000000000..b6b67db26be
--- /dev/null
+++ b/app-emulation/vagrant/vagrant-1.9.7.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+USE_RUBY="ruby22 ruby23"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="vagrant.gemspec"
+RUBY_FAKEGEM_EXTRAINSTALL="keys plugins templates version.txt"
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit bash-completion-r1 ruby-fakegem eutils
+
+DESCRIPTION="A tool for building and distributing development environments"
+HOMEPAGE="http://vagrantup.com/";
+SRC_URI="https://github.com/mitchellh/vagrant/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+virtualbox"
+
+RDEPEND="${RDEPEND}
+       app-arch/libarchive
+       net-misc/curl
+       virtualbox? ( || ( app-emulation/virtualbox 
app-emulation/virtualbox-bin ) )"
+
+ruby_add_rdepend "
+       >=dev-ruby/childprocess-0.6.0
+       >=dev-ruby/erubis-2.7.0
+       <dev-ruby/i18n-0.8.0:*
+       >=dev-ruby/listen-3.1.5
+       >=dev-ruby/hashicorp-checkpoint-0.1.1
+       >=dev-ruby/log4r-1.1.9 <dev-ruby/log4r-1.1.11
+       >=dev-ruby/net-ssh-4.1.0:*
+       >=dev-ruby/net-sftp-2.1
+       >=dev-ruby/net-scp-1.2.0
+       || ( dev-ruby/rest-client:2 >=dev-ruby/rest-client-1.6.0:0 )
+       >=dev-ruby/nokogiri-1.7.1
+       <dev-ruby/mime-types-3:*
+"
+
+ruby_add_bdepend "
+       >=dev-ruby/rake-11.3.0
+"
+
+all_ruby_prepare() {
+       # remove bundler support
+       sed -i '/[Bb]undler/d' Rakefile || die
+       rm Gemfile || die
+
+       # loosen dependencies
+       sed -e 
'/hashicorp-checkpoint\|listen\|net-ssh\|net-scp\|rake\|childprocess/s/~>/>=/' \
+               -e '/ruby_dep/s/<=/>=/' \
+               -i ${PN}.gemspec || die
+
+       # remove windows-specific gems
+       sed -e '/wdm\|winrm/d' \
+               -i ${PN}.gemspec || die
+
+       # remove bsd-specific gems
+       sed -e '/rb-kqueue/d' \
+               -i ${PN}.gemspec || die
+
+       # disable embedded CA certs and use system ones
+       epatch "${FILESDIR}"/${PN}-1.8.1-disable-embedded-cacert.patch
+
+       # fix rvm issue (bug #474476)
+       epatch "${FILESDIR}"/${PN}-1.8.1-rvm.patch
+
+       sed -e "s/@VAGRANT_VERSION@/${PV}/g" "${FILESDIR}/${PN}.in" > "${PN}" 
|| die
+}
+
+all_ruby_install() {
+       newbashcomp contrib/bash/completion.sh ${PN}
+       all_fakegem_install
+
+       # provide executable similar to upstream:
+       # 
https://github.com/mitchellh/vagrant-installers/blob/master/substrate/modules/vagrant_installer/templates/vagrant.erb
+       dobin "${PN}"
+
+       # directory for plugins.json
+       dodir /var/lib/vagrant
+}

Reply via email to